@import url('https://fonts.googleapis.com/css2?family=Edu+NSW+ACT+Foundation:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@600;700&family=Mochiy+Pop+One&family=Roboto:wght@700&display=swap');

body, html {
  margin: 0;
  padding: 0;
  color: #fff;
  font-family: 'Comfortaa', cursive;
}

body {
  background: url(../images/bg01.jpg) no-repeat center center fixed;
  background-size: cover;
}

#vanta {
  z-index: 0;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

main {
  position: relative;
}

main.animated {
  opacity: 0;
  filter: blur(10px);
  transition: opacity 2s ease-in-out, filter 2s ease-in-out;
}

header {
  margin-top: 3em;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

header > img {
  width: 6em;
  height: 6em;
  border-radius: 100%;
  border: 1px solid #fff;
  box-shadow: rgb(28 32 93 / 24%) 0px 2px 8px 0px;
}

header > h1 {
  display: inline-block;
  font-size: 0.8em;
  font-weight: bold;
  font-family: 'Roboto', sans-serif;
  border-radius: 1em;
  background-color: #000a;
  color: #fff;
  padding: 0.3em 0.6em;
  border: 1px solid #fffa;
  backdrop-filter: blur(10px) saturate(160%) contrast(180%);
  -webkit-backdrop-filter: blur(10px) saturate(160%) contrast(180%);
}

ul {
  box-sizing: border-box;
  list-style: none;
  margin: 0 auto;
  padding: 2em;
  max-width: 400px;
  user-select:none;
}

ul > li {
  background-color: #fffa;
  backdrop-filter: blur(10px) saturate(160%) contrast(180%);
  -webkit-backdrop-filter: blur(10px) saturate(160%) contrast(180%);
  border-radius: 10em;
  padding: 1em;
  margin: 1.4em 0;
  box-shadow: rgb(28 32 93 / 24%) 0px 2px 8px 0px;
  user-select:none;
}

ul > li > a {
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: left;
  margin-left:30%;
  gap: 0.5em;
}

a {
  color: black;
  text-decoration: none;
}

#preloader {
background: #18233e url(../images/preloader.gif) no-repeat center center;
background-size: 40%;
position: fixed;
top: 0;
left: 0;
width: 100vw;
height: 100vh;
z-index: 1000;
}

.typewriter h2 {
  font-size:16px;
  font-family: 'Edu NSW ACT Foundation', cursive;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: .15em solid orange; /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  margin-top:15px;
  letter-spacing: .15em; /* Adjust as needed */
  animation:
    typing 3.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: none; }
}

